/*
 * SonarQube
 * Copyright (C) 2009-2021 SonarSource SA
 * mailto:info AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package org.sonar.server.platform.db.migration.version.v92;

import java.sql.SQLException;
import org.sonar.db.Database;
import org.sonar.server.platform.db.migration.step.DataChange;
import org.sonar.server.platform.db.migration.step.Upsert;

public class MigrateBibucketOrgPluginSettingsToBuiltInSettings extends DataChange {

  public MigrateBibucketOrgPluginSettingsToBuiltInSettings(Database db) {
    super(db);
  }

  @Override
  protected void execute(Context context) throws SQLException {
    Upsert upsert = context.prepareUpsert("update properties set prop_key = ? where prop_key = ?");
    upsert.setString(1, "sonar.auth.bitbucket.workspaces");
    upsert.setString(2, "sonar.auth.bitbucket.teams");
    upsert.execute();
    upsert.commit();
  }
}
